resource "akamai_cloudlets_policy" "cloudlet_policy" {
  name          = "${var.user_id}RCPolicy"
  cloudlet_code = "IG"  
  description   = "AkaU RC cloudlet lab"
  group_id      = var.group_id
  match_rules   = <<-EOF
  [
  {
      "type": "igMatchRule",
      "name": "Prevent GETs at login endpoint",
      "start": 0,
      "end": 0,
      "matchURL": null,
      "matches": [
        {
          "objectMatchValue": {
            "type": "simple",
            "value": [
              "POST"
            ]
          },
          "matchOperator": "equals",
          "negate": true,
          "caseSensitive": false,
          "matchType": "method"
        },
        {
         "matchValue": "/rest/user/login",
          "matchOperator": "equals",
          "negate": false,
          "caseSensitive": false,
          "matchType": "path"
        }
      ],
      "allowDeny": "deny"
    }
]
EOF
}

output "cloudlet_policy_id" {
    value = "${akamai_cloudlets_policy.cloudlet_policy.id}"
}

resource "akamai_cloudlets_policy_activation" "activation" {
  policy_id = "${akamai_cloudlets_policy.cloudlet_policy.id}"
  network = var.network
  associated_properties = ["${var.user_id}-tflab"]
  version = 1
}