resource "akamai_appsec_configuration" "config" {
  name        = "${var.user_id}-tflab"
  description = "Security config for TF lab"
  contract_id = var.contract_id
  group_id    = var.group_id
  host_names  = var.host_names
}

output "security_config_id" {
  value = akamai_appsec_configuration.config.config_id
}

data "akamai_appsec_configuration" "security_configuration" {
  name = "${var.user_id}-tflab"
  depends_on = [akamai_appsec_configuration.config]
}

output "security_configuration_staging_version" {
  value = data.akamai_appsec_configuration.security_configuration.staging_version
}

resource "akamai_appsec_activations" "appsecactivation" {
  config_id           = akamai_appsec_configuration.config.config_id
  network             = var.network
  note                = "Terraform activation"
  notification_emails = [var.email]
  version             = data.akamai_appsec_configuration.security_configuration.latest_version
  depends_on          = [akamai_appsec_match_target.website_match_target]
}
